Ops Suspend Mandate
curl --request POST \
--url https://api.example.com/v1/ops/mandates/{mandate_id}/suspend \
--header 'Idempotency-Key: <idempotency-key>'import requests
url = "https://api.example.com/v1/ops/mandates/{mandate_id}/suspend"
headers = {"Idempotency-Key": "<idempotency-key>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {'Idempotency-Key': '<idempotency-key>'}};
fetch('https://api.example.com/v1/ops/mandates/{mandate_id}/suspend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"actor_client_id": "<string>",
"actor_id": "<string>",
"actor_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"customer_id": "<string>",
"failure_code": "<string>",
"failure_detail": "<string>",
"id": "<string>",
"next_reconcile_at": "2023-11-07T05:31:56Z",
"reconciliation_attempts": 123,
"resource_id": "<string>",
"resource_type": "<string>",
"submission_uncertain": true,
"updated_at": "2023-11-07T05:31:56Z",
"upstream_reference": "<string>"
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}{
"code": "<string>",
"detail": "<string>",
"instance": "<string>",
"refresh_onboarding": true,
"request_id": "<string>",
"retryable": true,
"status": 123,
"submission_uncertain": true,
"title": "<string>",
"type": "<string>",
"fields": [
{}
]
}Operator
Ops Suspend Mandate
POST
/
v1
/
ops
/
mandates
/
{mandate_id}
/
suspend
Ops Suspend Mandate
Headers
Unique key for one canonical mutation request.
Required string length:
16 - 200Path Parameters
Response
Successful Response
Available options:
beneficiary_create, card_close, card_create, card_freeze, card_unfreeze, mandate_create, mandate_revoke, mandate_suspend, mandate_transfer, transfer, transfer_grant_revoke Available options:
requires_action, accepted, submitting, submitted, succeeded, failed, indeterminate, cancelled ⌘I